from selenium import  webdriver
from adtium.common.ObjectPageElement import BasePage
import json
import time

# "https://www.lagou.com/"

class Cookies(BasePage):

    def get_cookies(self,url=None,path=None,timeout=20):
        self.driver.set_page_load_timeout(timeout)#限制页面加载时间
        self.driver.set_script_timeout(timeout)#限制JavaScript加载时间
        try:
            self.driver.get(url)
        except:
            self.driver.execute_script("window.stop()")
        time.sleep(5)
        input("请登录后按Enter")
        cookies = self.driver.get_cookies()
        print("cookies",cookies)
        jsonCookies = json.dumps(cookies)

        if path:
            path_file = path
        else:
            path_file = "cookies.txt"

        with open(path_file,"w",encoding="utf-8") as f:
            f.write(jsonCookies)
        time.sleep(5)
        self.driver.quit()

    def cookie_login(self,path,url=None,timeout=20):
        self.driver.set_page_load_timeout(timeout)  # 限制页面加载时间
        self.driver.set_script_timeout(timeout)  # 限制JavaScript加载时间
        try:
            self.driver.get(url)
        except:            self.driver.execute_script("window.stop()")
        f1 = open(path)
        cookies = f1.read()
        cookies = json.loads(cookies)
        for co in cookies:
            self.driver.add_cookie(co)
        self.driver.refresh()

if __name__ == '__main__':
    web = webdriver.Chrome()
    c = Cookies(driver=web)
    url = 'https://www.lagou.com/'
    # c.get_cookies(url=url)
    c.cookie_login(url=url,path="cookies.txt")
