import pymysql

from adtium.settings import DATABASES

"""
"""

class PyMySQL(object):

        # self.connect(host,user,password,database,charset,charset)
    def connect(self,host,user,password,database,port):
        """
        :param host: 数据库地址
        :param user: 用户名
        :param password: 密码
        :param database: 数据库名
        :param port:端口
        :return:
        """
        # try:

        self.my = pymysql.connect(host=host,user=user,password=password,
                            database=database,port=port)
        return self.my





    def query_select(self,field=None,table=None):
        """
        :param field: 字段
        :param table: 表
        :return:
        """
        if field == None:
            self.query = self.cursor.execute("select * from {}".format(table))
            return self.query
        else:
            self.query = self.cursor.execute("select {} from {}".format(field,table))
            return self.query







    def close_connection(self):
        #关闭数据库
        return self.my.close()


    def select_database(self, sql):
        ''' 数据库查询 '''
        self.cursor = self.my.cursor()
        try:
            self.cursor.execute(sql)  # 返回 查询数据 条数 可以根据 返回值 判定处理结果

            data = self.cursor.fetchall()  # 返回所有记录列表

            print(data)

            # 结果遍历
            for row in data:
                sid = row[0]
                name = row[1]
                # 遍历打印结果
                print('sid = %s,  name = %s' % (sid, name))
        except:
            print('Error: unable to fecth data')
        finally:
            self.cursor.close()


from adtium.Coretool.core.template.inspects import varname


class Mods:
    global data
    def __init__(self):
        self.my = pymysql.connect(host=DATABASES["host"],user=DATABASES["user"],password=DATABASES["password"],
                            database=DATABASES["database"],port=DATABASES["port"])



    def mysql(self):
        self.my = Mods()

    def cursor(self):
        """
        使用 cursor() 方法创建一个游标对象 cursor
        :return:
        """

        return self.my.cursor()


    def fetchone(self,table):
        self.sql = "SELECT * FROM {}".format(table)
        self.cursor = self.my.cursor()
        self.cursor.execute(self.sql)
        list_pa = []
        data = self.cursor.fetchone()
        for i in range(len(data)):
            list_pa.append(data[i])

        self.my.commit()  # 提交事务
        return list_pa

    def get(self,table,pk=None,fieldName=None,condition=None):
        self.sql = None
        if pk:
            self.sql = "SELECT * FROM {} WHERE id={}".format(table,pk)

        if fieldName != None and condition != None:
            self.sql = "SELECT * FROM {} WHERE {}={}".format(table,fieldName,condition)


        self.cursor = self.my.cursor()
        self.cursor.execute(self.sql)
        list_pa = []
        data = self.cursor.fetchone()
        for i in range(len(data)):
            list_pa.append(data[i])

        self.my.commit()  # 提交事务
        def __is__():
            return self.sql
        return list_pa


    def also_equal(self,table,*args):
        also = args
        self.sql = "SELECT * FROM {}".format(table)
        if len(also) == 4:
            try:
                self.sql = "SELECT * FROM {} WHERE {}={} AND {}={}".format(table,also[0],args[1],also[2],args[3])
            except:
                print("请输入正确的参数")

        if len(also) == 6:
            try:
                self.sql = "SELECT * FROM {} WHERE {}={} AND {}={} AND {}={}".format(table,also[0],
                args[1],also[2],also[3],also[4],also[5])
            except:
                print("请输入正确的参数")

        if len(also) == 8:
            try:
                self.sql = "SELECT * FROM {} WHERE {}={} AND {}={} AND {}={} AND {}={}".format(table,also[0],
                args[1],also[2],also[3],also[4],also[5],also[6],also[7])
            except:
                print("请输入正确的参数")

        self.cursor = self.my.cursor()
        self.cursor.execute(self.sql)
        list_pa = []
        data = self.cursor.fetchone()
        for i in range(len(data)):
            list_pa.append(data[i])

        self.my.commit()  # 提交事务

        def __is__():
            return self.sql

        return list_pa,self.sql

    def nested_query(self,table):
        pass


    def del_database(self,database):
        pass

    def execute(self,sql):
        self.cursor = self.cursor()
        return self.cursor.execute(sql)

    def commit(self):
        #进行操作数据库 提交事务
        return self.my.commit()


    def all(self,table):
        """
        查找所有数据
        :return:
        """
        self.sql = "SELECT * FROM {}".format(table)
        self.cursor = self.my.cursor()
        self.cursor.execute(self.sql)
        list_pa = []
        data = self.cursor.fetchall()
        for i in range(len(data)):
            list_pa.append(data[i])
        for s in list_pa:
            print(s)
        self.my.commit()  # 提交事务
        def __is__():
            return self.sql
        return list_pa


    def select_database(self, table):
        ''' 数据库查询 '''
        try:
            self.sql = "SELECT * FROM {}".format(table)
            self.cursor = self.my.cursor()
            # try:
            self.cursor.execute(self.sql)  # 返回 查询数据 条数 可以根据 返回值 判定处理结果

            data = self.cursor.fetchall()  # 返回所有记录列表
            self.list_name = []
            # 结果遍历
            for row in data:
                sid = row[0]
                name = row[1]
                sqls = [sid,name]
                # 遍历打印结果
                self.list_name.append(sqls)

        except:
            print('Error: unable to fecth data')
        finally:
            self.cursor.close()



    def IntField(self,fieid_name="id",max_length=10,null=True,primary_key=False,auto=False,description=None):

        if null == True and primary_key==False:
            data = "{} int({}) null".format(fieid_name,max_length)
            return data
        elif null == False and auto==False:
            data = "{} int({}) not null".format(fieid_name,max_length)
            return data
        elif auto==False:
            data = "{} int({}) PRIMARY KEY".format(fieid_name,max_length)
            return data
        else:
            data = "{} int({}) PRIMARY KEY AUTO_INCREMENT".format(fieid_name,max_length)
            return data

    def IdAuto(self,fieid_name="id",max_length=10,primary_key=False,description=None):
        if primary_key == False:
            data = "{} int({}) AUTO_INCREMENT".format(fieid_name, max_length)
            return data

        else:
            data = "{} int({}) PRIMARY KEY AUTO_INCREMENT ".format(fieid_name, max_length)
            return data

    def CharField(self,fieid_name="char",max_length=10,null=False,description=None):
        if null == False:
            data = "{} varchar({}) not null".format(fieid_name, max_length)
            return data
        else:
            data = "{} varchar({})  null".format(fieid_name, max_length)
            return data


    def FloatField(self,fieid_name="float",max_length=10,null=False,description=None):
        if null == False:
            data = "{} float({}) not null".format(fieid_name, max_length)
            return data
        else:
            data = "{} float({})  null".format(fieid_name, max_length)
            return data

    def __create__(self,table):
        tables = "create table {} (id int PRIMARY KEY AUTO_INCREMENT,".format(table)
        return tables

    def __dis__(self,*args):
        return args

    def __cls__(self,fieid,*args):
        create = "CREATE TABLE {} (id int PRIMARY KEY AUTO_INCREMENT,".format(fieid)
        p = (args)
        for i in p:
            create = create + str(i) + ','
        create = create[:-1] + ")"
        return create


if __name__ == "__main__":
    # m = Mods()
    # print(DATABASES["host"])

    class ind(Mods):
        m = Mods()
        name = m.IntField(fieid_name="name",null=False)
        pid = m.CharField(fieid_name='pid')
        list = m.__cls__("cssd",name,pid)
        m.execute(list)

    ind().cursor()

    # print(m.also_equal("css", "name", 5, "pid", 1,"id",1))
    # sqlj = "select * from csss "
    #
    # print(m.get("css",pk=2))
    # print(p.__create__("name"))
    # name = 122
    # create = "CREATE TABLE {} (id int PRIMARY KEY AUTO_INCREMENT,".format(name)
    # for i in p:
    #     create = create + str(i) + ','
    # create = create[:-2] + ")"
    # print(create)
