
import unittest,time
from core.HtmlReport.HTMLTestRunner_Chart import HTMLTestRunner
from config.config import *


class TestSuite(object):
    def __init__(self,like,filename):
        #测试用例所在的路径
        self.like = like
        self.filename = filename
        self.casePath = TEST_CASE_PATH

    def test_suite(self,title,description=None):
        # HTMLTestRunner:可以生成报告的执行器
        # #定义套件，将用例加入到套件中  在路径中发现(oa_开头的脚本)
        suite = unittest.defaultTestLoader.discover(TEST_CASE_PATH["casetest"],self.like)
        # #测试报告保存的路径
        Path = TESTREPORT_PATH
        now = time.strftime('%Y-%m-%d_%H-%M-%S',time.localtime())
        #测试报告的文件名
        reportName = Path+"\\UI自动化测试报告.html"
        # 以字节写入的方式打开报告文件，效果为新建空白报告
        fp = open(reportName,'wb',encoding="utf-8")
        # #定义执行器，使用能够生成报告的执行器
        runner = HTMLTestRunner(
        #     #测试过程中的数据流写入到打开的报告中
            stream=fp,retry=1,title=title,
            description=description,save_last_try=True
        )
        runner.run(suite)
        fp.close()  #关闭打开的文件


        return reportName







