from django  import forms


class MessageBoardForm(forms.Form): #继承forms类
    title = forms.CharField(max_length=100,label='标题',min_length=5,error_messages={"min_length":'标题字符段不符合要求！'})
    #CharField 用来接收文本。
    content = forms.CharField(widget=forms.Textarea,label='内容',error_messages={"required":'必须传入content！'})
    email = forms.EmailField(label='邮箱',error_messages={"required":'必须传入合法的邮箱！'})
    #EmailField 用来接收邮件，会自动验证邮件是否合法。
    reply = forms.BooleanField(required=False,label='回复')
    #BooleanField #单选框




