
import time,os
import logging.handlers

from selenium.webdriver.common.keys import Keys

MAIL_STATUS = 10
# members.items() 可以遍历出含有别名的类

from enum import Enum #创建枚举类型

class Rate(Enum):

    STANDARD_MAIL = 10

    RED = 1
    GREEN = 1
    BLUE = 3

    PIE_CHART = 80 #饼图

    DEFAULT_CHART = 88 #默认

    BEAUTIFY_CHART = 8080 #中文美化

    LOGGING_DEBUG = logging.DEBUG #日志等级

    LOGGING_ERROR = logging.ERROR #日志等级

    LOGGING_INFO = logging.INFO #日志等级


print(Keys.SPACE)

PIE = Rate.PIE_CHART.value

DEFAULT = Rate.DEFAULT_CHART.value

CN_CART = Rate.BEAUTIFY_CHART.value

DEBUG = Rate.LOGGING_DEBUG.value

INFO = Rate.LOGGING_INFO.value

ERROR = Rate.LOGGING_ERROR.value



class SeleniumKeysRate(Enum):

    KeyAll_A = (Keys.CONTROL,'a')

    END_LE = Keys.ENTER
    Kong = Keys.SPACE
    TABke = Keys.TAB

    con = (Keys.CONTROL, 'x')

    CYOP = (Keys.CONTROL, 'c')

    zt = (Keys.CONTROL,'v')

    HTd = (Keys.ESCAPE)

    LOGGING_ERROR = logging.ERROR #日志等级

    LOGGING_INFO = logging.INFO #日志等级


KeyAll = SeleniumKeysRate.KeyAll_A.value #全选操作
END = SeleniumKeysRate.END_LE.value #回车操作
KONG = SeleniumKeysRate.Kong.value #空格操作
TAB = SeleniumKeysRate.TABke.value #tab操作
JQ = SeleniumKeysRate.con.value #剪切操作
CP = SeleniumKeysRate.CYOP.value #复制操作
ZT = SeleniumKeysRate.zt.value #粘贴操作
HT = SeleniumKeysRate.HTd.value #回退操作
