
"""

测试框架 配置文件
配置文件基本已全部与数据分离、无需修改配置文件内容、直接修改相应的数据文件即可。
如果需要其他内容配置可自行添加如果你有余力的话可自行修改或重构
该框架基本以满足大部分自动化测试需求。可以直接拿到项目中使用、修改相应的项目数据即可

developer: gfl
version : V2.0
"""



import  os
from  adtium.Coretool.Text.ReadFileModule import *

# 项目路径
#BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))

#STATICFILES_DIRS = [
    #os.path.join(BASE_DIR,'static/css').replace('\\','/'),
   # os.path.join(BASE_DIR, 'static/js').replace('\\', '/'),
    #os.path.join(BASE_DIR, 'static/images').replace('\\', '/'),
    #os.path.join(BASE_DIR, 'static/static').replace('\\', '/')
#]


file = os.path.abspath("").split('AutoFrame')[0]

# 测试数据文件路径
pathfiles = "%sAutoFrame\data\基本配置数据.xlsx"%file


path_file_index_3 = data_all(path=pathfiles, index=2)

#工具数据文件路径
TOOL_DATA_PATH = file+path_file_index_3[12][1]

tool_path_1 = data_all(path=TOOL_DATA_PATH, index=0)

tool_path_2 = data_all(path=TOOL_DATA_PATH, index=1)

#测试数据配置
TEST_DATA = {
    "config":file+path_file_index_3[1][1],
    "element": file+path_file_index_3[2][1],
}


# 自动执行设置文件
TIME_SET_PATH = file+path_file_index_3[7][1]


time_count = read_txt(TIME_SET_PATH)


set_time = text_all(TIME_SET_PATH,1)



path_file_index = data_all(path=TEST_DATA["config"], index=0)

path_file_index_2 = data_all( path=TEST_DATA["config"], index=1)


# 项目url 地址
PHPWIND_URL={
    "front_url":path_file_index[1][2],#前端url
    "trailng_url":path_file_index[2][2],#后端url
    "login":path_file_index[3][2],#登录url
    "register":path_file_index[4][2]#注册url
}


# 测试用例脚本文件路径
TEST_CASE_PATH = {
    "casetest":file+path_file_index_3[3][1]
}


#数据库配置
DATABASES_FILES = {
    "host": tool_path_2[0][1],#服务器地址
    "user": tool_path_2[1][1],#用户名
    "password": tool_path_2[2][1],#密码
    "database": tool_path_2[3][1],#数据库名
    "port": int(tool_path_2[4][1])#数据库端口号

}



# 项目最高管理员账号
ORDER = {
    "username": path_file_index_2[1][0],
    "password": path_file_index_2[1][1]
}

# 后台管理账号
BACKGROUND = {
    "username": path_file_index_2[1][0],
    "password": path_file_index_2[1][1]

}



#邮件信息配置
MAILBOX = {
    "sender":{
        "username":tool_path_1[1][0],
        "password":tool_path_1[1][1]
    },
    "receiver":{
        "username_01":tool_path_1[2][0],
        "username_02":tool_path_1[3][0],
    }

}


#测试报告
TESTREPORT_PATH = file+path_file_index_3[4][1]

#截图路径
SCREENSHOT_PATH = file+path_file_index_3[5][1]

#日志输出
LOG_FILE_PATH = file+path_file_index_3[6][1]



#定时执行器
REGULARLY_TIME = []

#定时开关 true 开启  false 关闭
TIME_SWITCH = True

#定时启动时间
START_Time ="16:05"

#行为驱动描述文件
BEHAVIOR_DESCRIPTION = file+path_file_index_3[11][1]

#测试套件执行器路径
TEST_SUITE_PATH = file+path_file_index_3[13][1]

#浏览器驱动路径
DRIVER_PATH ={
    "chrome":file+path_file_index_3[8][1],
    "ie":file+path_file_index_3[9][1],
    "firefox":file+path_file_index_3[10][1]
}


# SMTP服务器: smtp.163.com
if __name__ == '__main__':

    print(DRIVER_PATH['chrome'])
