import argparse
import os

from adtium.common.CopyDir import copy_dir

def create_directory_files_line(command, framework):
    if command == "probjectuiauto":
        current_path = os.path.abspath("")
        path_join = r"%s\%s"%(current_path,framework)

        gets_the_current_project_file = os.path.abspath("")
        BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))
        copy_fileName = os.path.join(BASE_DIR,r"Coretool\core\template\UiAutoFramework")

        if framework:
            if os.path.isdir(path_join):
                copy_dir(copy_fileName, path_join)
                return copy_fileName
            else:
                os.mkdir(framework)
                copy_dir(copy_fileName, path_join)
    else:
        print("没有这个命令：" + command)


parser = argparse.ArgumentParser(description='Test for argparse')
parser.add_argument('command', help='command 属性，必要参数,命令有 d b i c')
parser.add_argument('framework', help='framework 属性，非必要参数,指定每个事件的操作延迟时间')
parser.add_argument('-p', help='p 属性，非必要参数,指定创建的文件目录必须绝对路径')


args = parser.parse_args()
if __name__ == '__main__':
    try:
        create_directory_files_line(args.command, args.framework)
    except Exception as e:
        print(e)
