import os
import zipfile


def is_dir(path):
    p = os.path.splitext(path)
    if p[1]:
        return False
    else:
        return True

def is_file(path):
    p = os.path.splitext(path)
    if p[-1]:
        if  not os.listdir(path):
            return False
        else:
            return True
    else:
        return False


def is_listdir(path):
    file_list = os.listdir(path)
    file = []
    dir = []
    other_files =[]
    listfile = {
        "file":file,
        "dir":dir,
        "other_files":other_files
    }
    for i in file_list:
        p = os.path.splitext(i)
        if p[-1]:
            if p[-1] == ".zip" or p[-1] == ".rar":
                other_files.append(i)
                print("{} 目录下 {} 压缩文件".format(path, i))
            else:
                file.append(i)
                print("{} 目录下 {} 是文件".format(path, i))
        else:
            dir.append(i)
            print("{} 目录下 {} 是文件夹".format(path,i))
    return listfile



def del_specified_file(path,filename):
    pathfile = os.listdir(path)
    for files in pathfile:
        join_file_path = os.path.join(path,files)
        where =os.path.splitext(files)
        if where[-0] == filename:
            os.remove(join_file_path)
            print("已删除{}".format(files))


def del_all_file(path):
    pathfile = os.listdir(path)
    for files in pathfile:
        join_file_path = os.path.join(path,files)
        if os.path.isfile(join_file_path):
            os.remove(join_file_path)
            print("已删除{}".format(files))
        else:
            try:
                del_all_file(join_file_path)
                os.rmdir(join_file_path)
                print("已删除{}".format(files))
            except:
                del_all_file(join_file_path)
            print("已删除{}".format(files))

def del_file_format(path,filename):
    #按格式删除文件
    pathfile = os.listdir(path)
    for files in pathfile:
        join_file_path = os.path.join(path, files)
        where = os.path.splitext(files)
        if where[-1] == filename:
            os.remove(join_file_path)
            print("已删除{}".format(files))

def del_current_file(path):
    pathfile = os.listdir(path)
    for files in pathfile:
        join_file_path = os.path.join(path, files)
        if os.path.isfile(join_file_path) == True:
            os.remove(join_file_path)
            print("已删除{}".format(files))




def zip_file(path,zipfile_name):
    #压缩zip文件 path压缩的文件夹路径 压缩文件路径+.zip
    path = path
    join = os.listdir(path)
    join_path = []

    for i in join:

        public = os.path.join(path,i)
        join_path.append(public)

    f = zipfile.ZipFile(zipfile_name, 'w', zipfile.ZIP_DEFLATED)
    for s in join_path:
        jie = s.split('\\')
        index = jie[-1]
        f.write(s, index)
    f.close()






def unzip_file(zip_src, dst_dir):
    #解压zip zip_src zip 文件路径 存放路径
    r = zipfile.is_zipfile(zip_src)
    if r:
        fz = zipfile.ZipFile(zip_src, 'r')
        for file in fz.namelist():
            fz.extract(file, dst_dir)
    else:
        print('This is not zip')
        
        
        
class ZipFile:
    def __init__(self):
        self.pathFile = None
        self._filer = []

    def all_path(self,path):
        # 递归获取目录下所有文件
        join = os.listdir(path)

        for d in join:
            die = os.path.join(path, d)
            try:
                self.all_path(die)
                self._filer.append(die)
            except:
                self._filer.append(die)
        return self._filer

    def all_zip(self,zipfile_name,path):
        _path = self.all_path(path)
        f = zipfile.ZipFile(zipfile_name, 'w', zipfile.ZIP_DEFLATED)
        for adb in _path:

            f.write(adb)

        f.close()
        return _path
        
import os
import io
import zipfile


def extract(filename):
    z = zipfile.ZipFile(filename)
    for f in z.namelist():
        # get directory name from file
        dirname = os.path.splitext(f)[0]
        # create new directory
        os.mkdir(dirname)
        # read inner zip file into bytes buffer
        content = io.BytesIO(z.read(f))
        zip_file = zipfile.ZipFile(content)
        for i in zip_file.namelist():
            zip_file.extract(i, dirname)


