import json

#转化字典
def dict(data):
    return json.loads(data)

#读取json文件中转化字典
def jsonFile(file):
    jsObj = json.load(open(file,encoding="utf-8"))
    return jsObj



#转换成json字符串
def jsons(data):
    return json.dumps(data)


#将python数据类型文件转换成json文件数据
def jsons_file(data,file):
    with open(file,"w",encoding="utf-8") as f:
        return json.dump(data,f,indent=2)

#不以ascii编码
def json_cn(data):
    return json.dumps(data,ensure_ascii=False,indent=2)

#不以ascii编码 美化json格式 indent 子元素每个空格2格
def json_cn_format(data):
    return json.dumps(data,ensure_ascii=False,indent=2)


#写json文件
def json_file(file,data):
    with open(file,"w",encoding="utf-8") as f:
        f.write(json_cn_format(data=data))

#

if __name__ == '__main__':

    data = {
        "status": 200,
        "code": 40010,
        "message": "自动化测试1 班级已不是官方班级",
        "data": [
            {
                "username": "13453001",
                "cname": "自动化测试1",
                "description": "自动化测试",
                "price": 18888
            }
        ]
    }
    json_file(data=data,file="1.json")

    print(type(jsonFile("1.json")))
