import random
import testdata

def sap(a:list,index):
    """
    :param list:
    :param index:
    :return:
    """
    #指定取值
    #The specified value
    list_id = random.sample(a,index)
    return list_id

def uf(a,b):
    """
    :param a:
    :param b:
    :return:
    """
    #浮点数
    #Random floating point number
    unif = random.uniform(a,b)
    return unif

def rint(a,b):
    """
    :param a:
    :param b:
    :return:
    """
    #random integers
    lint = random.randint(a,b)
    return lint

def ascII(len=5):
    #ascll码
    #Ascll code
    return testdata.get_ascii(len)

def hash(index=5):
    #哈希值
    return testdata.get_hash(index)

def md(vap=""):
    # md5 转码
    return testdata.get_md5(val=vap)

def bool():
    #布尔值
    return testdata.get_bool()

def names(count=5):
    # 随机字符串名字
    return testdata.get_name(name_count=count)

def email(name=''):
    # 随机邮箱
    return testdata.get_email(name=name)

import faker
f = faker.Faker("zh_CN")

def name_cn():
    #随机名字
    p = f.name()
    return p

def adr():
    #随机地址
    p = f.address()
    return p

def text():
    p = f.text()
    return p
def ip4():
    # 随机ip地址
    p = f.ipv4()
    return p

def card():
    # 随机信用卡号
    p = f.credit_card_number()
    return p

def email_cn():
    #随机邮箱地址
    p = f.email()
    return p

def user_name():
    #随机用户名
    p = f.user_name()
    return p

def phone():
    #随机电话
    p = f.phone_number()
    return p

def ssn():
    p = f.ssn()
    return p


import time
import base64
import hmac

def generate_token(key, expire=3600):
    r'''
        @Args:
            key: str (用户给定的key，需要用户保存以便之后验证token,每次产生token时的key 都可以是同一个key)
            expire: int(最大有效时间，单位为s)
        @Return:
            state: str
    '''
    ts_str = str(time.time() + expire)
    ts_byte = ts_str.encode("utf-8")
    sha1_tshexstr  = hmac.new(key.encode("utf-8"),ts_byte,'sha1').hexdigest()
    token = ts_str+':'+sha1_tshexstr
    b64_token = base64.urlsafe_b64encode(token.encode("utf-8"))
    return b64_token.decode("utf-8")




