#coding:utf-8
import xlrd
from xlutils.copy import copy
class OperationExcel:
	def __init__(self,file_name=None,sheet_id=0):
		if file_name:
			self.file_name = file_name
			self.sheet_id = sheet_id
			# self.row = self.get_lines()
			self.data = xlrd.open_workbook(self.file_name)

			self.all_sheet_Name = self.get_all_sheetName() #所有sheet
			self.first_sheetName = self.get_sheetName_index()#第一个sheet
			self.present_sheetName = self.get_present_sheetName() #当前sheet

			self.Name = self.get_data().name
			self.rows = self.get_data().nrows #行数
			self.cols = self.get_data().ncols #列数
			# self.index = sheet_id
			self.get_data()



	def get_all_sheetName(self):
		sheet2_name = self.data.sheet_names()  # 获取所有sheet名称
		return sheet2_name

	def get_sheetName(self,index):
		sheet2_name = self.data.sheet_names()[index]  # 获取所有sheet名称
		return sheet2_name

	def get_sheetName_index(self):
		sheet2_name = self.data.sheet_names()[0]  # 获取所有sheet名称
		return sheet2_name

	def get_present_sheetName(self):
		sheet2_name = self.data.sheet_names()[self.sheet_id]  # 获取所有sheet名称
		return sheet2_name


	#获取sheets的内容
	def get_data(self):

		self.tables = self.data.sheet_by_index(self.sheet_id)

		return self.tables

	def row_all(self,index):
		return self.get_data().row_values(index)  # 获取行内容

	def col_all(self,index):
		return self.get_data().col_values(index)  # 获取列内容

	def cell(self,x,y):
		return self.get_data().cell(x, y).value

	#获取单元格的行数
	# def get_lines(self):
	# 	tables = self.data
	# 	return tables.nrows

	#获取某一个单元格的内容
	def get_cell_value(self,row,col):
		return self.data.cell_value(row,col)

	#写入数据
	def write_value(self,row,col,value):
		'''
		写入excel数据
		row,col,value
		'''
		read_data = xlrd.open_workbook(self.file_name)
		write_data = copy(read_data)
		sheet_data = write_data.get_sheet(0)
		sheet_data.write(row,col,value)
		write_data.save(self.file_name)

	#根据对应的caseid 找到对应行的内容
	def get_rows_data(self,case_id):
		row_num = self.get_row_num(case_id)
		rows_data = self.get_row_values(row_num)
		return rows_data

	#根据对应的caseid找到对应的行号
	def get_row_num(self,case_id):
		num = 0
		clols_data = self.get_cols_data()
		for col_data in clols_data:
			if case_id in col_data:
				return num
			num = num+1


	#根据行号，找到该行的内容
	def get_row_values(self,row):
		tables = self.data
		row_data = tables.row_values(row)
		return row_data

	#获取某一列的内容
	def get_cols_data(self,col_id=None):
		if col_id != None:
			cols = self.data.col_values(col_id)
		else:
			cols = self.data.col_values(0)
		return cols


if __name__ == '__main__':
	pass

		# for i in range(0,c):
		# 	print(i)

