import  xlrd
import xlwt

def data_all(path=None,index=0):
    if path == None:
        print("读取文件失败")
    else:
        file_path = xlrd.open_workbook(path)
        cls = file_path.sheet_by_index(index)
        norow = cls.nrows
        list_row = []
        for i in range(0,norow):
            apps = cls.row_values(i)
            list_row.append(apps)
        return list_row

def row_data(row,path=None,index=0):
    if path == None:
        print("文件读取失败")
    else:
        file_path =xlrd.open_workbook(path)
        cls = file_path.sheet_by_index(index)
        apps = cls.row_values(row)
        return  apps

def read_txt(path):
    with open(path,"r",encoding="utf-8") as f:
        p = f.readline()
        splist = p.split(";")
        return splist

def text_all(path,a=0):
    with open(path,"r",encoding="utf-8") as f:
        p = f.readlines()
        s = p[a]
        splist = s[:-1].split(";")
        return splist
        
        
       
def write(pos_x,pos_y,text,path=None,name="表1"):
    workbook = xlwt.Workbook()
    worksheet = workbook.add_sheet(name)
    worksheet.write(pos_x,pos_y,text)
    workbook.save(path)

       

from xlutils.copy import copy


def write_excel_xls(path, sheet_name, value):
    index = len(value)  # 获取需要写入数据的行数
    workbook = xlwt.Workbook()  # 新建一个工作簿
    sheet = workbook.add_sheet(sheet_name)  # 在工作簿中新建一个表格
    for i in range(0, index):
        for j in range(0, len(value[i])):
            sheet.write(i, j, value[i][j])  # 像表格中写入数据（对应的行和列）
    workbook.save(path)  # 保存工作簿
    print("xls格式表格写入数据成功！")


def write_excel_xls_append(path, value):
    index = len(value)  # 获取需要写入数据的行数
    workbook = xlrd.open_workbook(path)  # 打开工作簿
    sheets = workbook.sheet_names()  # 获取工作簿中的所有表格
    worksheet = workbook.sheet_by_name(sheets[0])  # 获取工作簿中所有表格中的的第一个表格
    rows_old = worksheet.nrows  # 获取表格中已存在的数据的行数
    new_workbook = copy(workbook)  # 将xlrd对象拷贝转化为xlwt对象
    new_worksheet = new_workbook.get_sheet(0)  # 获取转化后工作簿中的第一个表格
    for i in range(0, index):
        for j in range(0, len(value[i])):
            new_worksheet.write(i + rows_old, j, value[i][j])  # 追加写入数据，注意是从i+rows_old行开始写入
    new_workbook.save(path)  # 保存工作簿
    print("xls格式表格【追加】写入数据成功！")


def read_excel_xls(path):
    workbook = xlrd.open_workbook(path)  # 打开工作簿
    sheets = workbook.sheet_names()  # 获取工作簿中的所有表格
    worksheet = workbook.sheet_by_name(sheets[0])  # 获取工作簿中所有表格中的的第一个表格
    for i in range(0, worksheet.nrows):
        for j in range(0, worksheet.ncols):
            print(worksheet.cell_value(i, j), "\t", end="")  # 逐行逐列读取数据
        print()
        
        
def index_write(pos_x,pos_y,text,path=None,index=0):
    rb = open_workbook(path)
    # 通过sheet_by_index()获取的sheet没有write()方法
    rs = rb.sheet_by_index(index)
    wb = copy(rb)
    # 通过get_sheet()获取的sheet有write()方法
    ws = wb.get_sheet(0)
    ws.write(pos_x,pos_y,text)
    wb.save(path)





if __name__ == '__main__':
    pa = r"Z:\AutoFrame\data\BehaviorDriven\BehaviorDescription .txt"
    s = text_all(pa,1)
    print(s)