
import time,os
import logging.handlers

MAIL_STATUS = 10
# members.items() 可以遍历出含有别名的类

from enum import Enum #创建枚举类型

class Rate(Enum):

    STANDARD_MAIL = 10
    RED = 1
    GREEN = 1
    BLUE = 3

    PIE_CHART = 80 #饼图


    DEFAULT_CHART = 88 #默认


    BEAUTIFY_CHART = 8080 #中文美化

    LOGGING_DEBUG = logging.DEBUG #日志等级




PIE = Rate.PIE_CHART.value

DEFAULT = Rate.DEFAULT_CHART.value

CN_CART = Rate.BEAUTIFY_CHART.value

DEBUG = Rate.LOGGING_DEBUG.value

class VarGlobal(Enum):
    CASE_ID = 0 #case_id
    module = 1 #模块名称
    CASE_URL = 2 #case_url
    TEST_CASE_EXEUTION = 3 #是否执行
    REQUEST_METHOD = 4 #请求方式
    HEADER = 5 #header
    CASE_DEPEND = 6 #   case 依赖
    DATA_DEPEND = 7 #   依赖返回数据
    field_DEPEND = 8 #   依赖字段
    CASE_DATA = 9 #   请求数据
    EXPECTED = 10 #   预期结果
    ACTUAL = 11 #   实际结果
    result = 12 #   执行结果



CASE_ID = VarGlobal.CASE_ID.value
MODULE = VarGlobal.module.value
CASEURL = VarGlobal.CASE_URL.value
EXEUTION = VarGlobal.TEST_CASE_EXEUTION.value
METHOD = VarGlobal.REQUEST_METHOD.value
HEADER = VarGlobal.HEADER.value
CASE_DEPEND = VarGlobal.CASE_DEPEND.value
DATA_DEPEND = VarGlobal.DATA_DEPEND.value
FIELD_DEPEND = VarGlobal.field_DEPEND.value
CASE_DATA = VarGlobal.CASE_DATA.value
EXPECTED = VarGlobal.EXPECTED.value
ACTUAL = VarGlobal.ACTUAL.value
RESULT = VarGlobal.result.value

