from config.config import HEADERS, REQUEST_JSON_DATA, TEST_CASE
from core.InterfaceDataFile import WriteExcel,JsonData
from common.enumerate import *

class GetData:
    def __init__(self,index=0):
        self.write_excel = WriteExcel(file_name=TEST_CASE,index=index)

    #获取行数 即获取多少case
    def get_liens(self):
        return self.write_excel.get_lines()

    def get_headers_values(self):
        headers = JsonData(file_path=r"Z:\My\InterfaceAutoFramework\dataFile\headers.json")
        return headers

    def get_is_run(self,row):#获取是否执行
        run_data =  self.write_excel.get_cell_value(row=row,col=EXEUTION)
        if run_data == "yes":
            flag = True
        else:
            flag = False
        return flag

    def get_is_headers(self,row):#获取是否携带header
        run_data =  self.write_excel.get_cell_value(row=row,col=HEADER)
        if run_data == "yes":
            flag = self.get_headers_values().data
        else:
            flag = None
        return flag


    #获取请求方式
    def get_request_method(self,row):
        return self.write_excel.get_cell_value(row=row,col=METHOD)

    #获取URL
    def get_url(self,row):
        return self.write_excel.get_cell_value(row=row,col=CASEURL)


    #获取请求数据
    def get_request_data(self,row):
        data =  self.write_excel.get_cell_value(row=row,col=CASE_DATA)
        if data == "":
            return None
        return data


    #关键字获取json文件

    def get_json_for_data(self,row):
        json_data_file = JsonData(file_path=REQUEST_JSON_DATA)
        data_get = self.get_request_data(row=row)
        return json_data_file.getJson_data(key=data_get)

    #获取预期结果
    def get_expected(self,row):
        data_get = self.write_excel.get_cell_value(row=row,col=EXPECTED)
        if data_get:
            return data_get
        return None

    #写实际结果
    def get_actual (self,row,value):
        data_get = self.write_excel.write_value(row=row,col=ACTUAL,value=value)
        if data_get:
            return data_get
        return None

    #写执行结果
    def get_write_execution_result (self,row,value):
        data_get = self.write_excel.write_value(row=row,col=RESULT,value=value)
        if data_get:
            return data_get
        return None

    # def write_result(self, row, value):
    #     col = int(data_config.get_result())
    #     self.opera_excel.write_value(row, col, value)

    # 获取依赖数据的key
    def get_depend_key(self,row):
        depent_key = self.write_excel.get_cell_value(row=row,col=DATA_DEPEND)
        if depent_key == "":
            return None
        else:
            return depent_key


    # 判断是否有case依赖
    def is_depend(self, row):
        depend_case_id = self.write_excel.get_cell_value(row,CASE_DEPEND)
        if depend_case_id == "":
            return None
        else:
            return depend_case_id


    # 获取数据依赖字段
    def get_depend_field(self, row):
        data = self.write_excel.get_cell_value(row, FIELD_DEPEND)
        if data == "":
            return None
        else:
            return data



if __name__ == '__main__':
    get = GetData()
