import os
import zipfile


def is_dir(path):
    p = os.path.splitext(path)
    if p[1]:
        return False
    else:
        return True

def is_file(path):
    p = os.path.splitext(path)
    if p[-1]:
        if  not os.listdir(path):
            return False
        else:
            return True
    else:
        return False


def is_listdir(path):
    file_list = os.listdir(path)
    file = []
    dir = []
    other_files =[]

    for i in file_list:
        p = os.path.splitext(i)
        if p[-1]:
            if p[-1] == ".zip" or p[-1] == ".rar":
                other_files.append(i)
                print("{} 目录下 {} 压缩文件".format(path, i))
            else:
                file.append(i)
                print("{} 目录下 {} 是文件".format(path, i))
        else:
            dir.append(i)
            print("{} 目录下 {} 是文件夹".format(path,i))


    listfile = {
        "file":file,
        "dir":dir,
        "other_files":other_files
    }
    return listfile



def del_specified_file(path,filename):
    pathfile = os.listdir(path)
    for files in pathfile:
        join_file_path = os.path.join(path,files)
        where =os.path.splitext(files)
        if where[-0] == filename:
            os.remove(join_file_path)
            print("已删除{}".format(files))


def del_all_file(path):
    pathfile = os.listdir(path)
    for files in pathfile:
        join_file_path = os.path.join(path,files)
        if os.path.isfile(join_file_path):
            os.remove(join_file_path)
            print("已删除{}".format(files))
        else:
            try:
                del_all_file(join_file_path)
                os.rmdir(join_file_path)
                print("已删除{}".format(files))
            except:
                del_all_file(join_file_path)
            print("已删除{}".format(files))

def del_file_format(path,filename):
    #按格式删除文件
    pathfile = os.listdir(path)
    for files in pathfile:
        join_file_path = os.path.join(path, files)
        where = os.path.splitext(files)
        if where[-1] == filename:
            os.remove(join_file_path)
            print("已删除{}".format(files))

def del_current_file(path):
    pathfile = os.listdir(path)
    for files in pathfile:
        join_file_path = os.path.join(path, files)
        if os.path.isfile(join_file_path) == True:
            os.remove(join_file_path)
            print("已删除{}".format(files))




def current_zip_file(path,zipfile_name):
    #压缩zip文件 path压缩的文件夹路径 压缩文件路径+.zip
    join = os.listdir(path)
    join_path = []


    for i in join:
        public = os.path.join(path,i)
        join_path.append(public)


    f = zipfile.ZipFile(zipfile_name, 'w', zipfile.ZIP_DEFLATED)
    for s in join_path:
        jie = s.split('\\')
        index = jie[-1]

        f.write(s, index)
    print(join_path)
    f.close()




def all_zip_file(path,zipfile_name):
    #递归压缩zip文件 path压缩的文件夹路径 压缩文件路径+.zip
    join = os.listdir(path)
    join_path = []


    for d in join:
        if is_dir(d) == True:
            die = os.path.join(path, d)
            jion = die.split('\\')
            all_zip_file(die, zipfile_name)
            join_path.append(die)

            f = zipfile.ZipFile(zipfile_name, 'w', zipfile.ZIP_DEFLATED)
            for i in join_path:
                jie = i.split("\\")
                index = jie[-1]
                print(i,index)
                f.write(i,index)

            f.close()

            # pasd = os.listdir(die)
            # print(pasd)
            # join_path.append(pasd)
            # for dir in pasd:
            #     print(dir,is_dir(dir))
            #     if is_dir(dir) == True:
            #         dirs = os.path.join(die,dir)
            #         # print(dirs)
            #         join_path.append(dirs)

                # print(dirs)
    # print(join_path)
            # print(pasd)
            # zip_file(die,zipfile_name)
            # try:
            #     public = os.listdir(die)
            #     # print(die,public)
            #     for df in public:
            #         nameFile = os.path.join(die,df)
            #
            # except:
            #     pass

    # for i in join:
    #     public = os.path.join(path,i)
    #     join_path.append(public)



def zip_file(path,zipfile_name):
    #压缩zip文件 path压缩的文件夹路径 压缩文件路径+.zip
    join = os.listdir(path)
    join_path = []


    for i in join:
        public = os.path.join(path,i)
        join_path.append(public)


    f = zipfile.ZipFile(zipfile_name, 'w', zipfile.ZIP_DEFLATED)
    for s in join_path:
        jie = s.split('\\')
        index = jie[-1]

        f.write(s, index)
    print(join_path)
    f.close()


def all_zip(path,zipfile_name):
    #递归获取目录下所有文件
    join = os.listdir(path)
    join_path = []

    join = os.listdir(path)
    join_path = []

    for d in join:
        die = os.path.join(path, d)
        if is_dir(d):
            try:
                all_get(die)
                join_path.append(die)
                print(die)
            except:
                join_path.append(die)
                # print(die)
        else:
            join_path.append(die)

    # for d in join:
    #     die = os.path.join(path, d)
    #     if is_dir(d):
    #         try:
    #             all_zip(die,zipfile_name)
    #             join_path.append(die)
    #         except:
    #             join_path.append(die)
    #             # print(die)
    #     else:
    #         join_path.append(die)
    #         # print(die)

    f = zipfile.ZipFile(zipfile_name, 'w', zipfile.ZIP_DEFLATED)
    for adb in join_path:
        print(adb)
        f.write(adb)

    f.close()
    return join_path

class ZipFile:
    def __init__(self):
        self.pathFile = None
        self._filer = []

    def all_path(self,path):
        # 递归获取目录下所有文件
        join = os.listdir(path)

        for d in join:
            die = os.path.join(path, d)
            try:
                self.all_path(die)
                self._filer.append(die)
            except:
                self._filer.append(die)
        return self._filer

    def all_zip(self,zipfile_name,path):
        _path = self.all_path(path)
        f = zipfile.ZipFile(zipfile_name, 'w', zipfile.ZIP_DEFLATED)
        for adb in _path:

            f.write(adb)

        f.close()
        return _path




def all_get(path):
    # 递归获取目录下所有文件
    join = os.listdir(path)
    join_path = []

    for d in join:
        die = os.path.join(path, d)
        print(die)
        try:
            all_get(die)
            join_path.append(die)
        except:
            join_path.append(die)


    with open("1.txt", 'a', encoding="utf-8")  as f:

        f.write(str(join_path))
        # for s in join_path:
        #     f.write(s+"\n")
        f.close()



    return join_path




def unzip_file(zip_src, dst_dir):
    #解压zip zip_src zip 文件路径 存放路径
    r = zipfile.is_zipfile(zip_src)
    if r:
        fz = zipfile.ZipFile(zip_src, 'r')
        for file in fz.namelist():
            fz.extract(file, dst_dir)

    else:
        print('This is not zip')





z = ZipFile()
# print(z.all_path('Z:\My\AutoFrame\Test'))
z.all_zip('16.zip','Z:\My\AutoFrame\Test')
# all_get('Z:\My\AutoFrame\Test')
#
#

# f = zipfile.ZipFile('101.zip', 'w', zipfile.ZIP_DEFLATED)
# for s in join_path:
#     f.write(s)
# f.close()

# jk = [join for join in join_path]
# print(jk)
# import os

# def check_file(file_path):
#     os.chdir(file_path)
#     print(os.path.abspath(os.curdir))
#     all_file = os.listdir()
#     files = []
#     for f in all_file:
#         if os.path.isdir(f):
#             files.extend(check_file(file_path+'\\'+f))
#             os.chdir(file_path)
#         else:
#             files.append(jk)
#     return files

# file_list = check_file(r'Z:\My\AutoFrame\Test')
# print(file_list)
# del_all_file('Z:\My\AutoFrame\Test')