import argparse
import os
from adtium.Coretool.monkeys import variation


def test_for_sys(command,t,s,p,c,v,S,T):
    
    if command == variation.shell:
        #进入Android 系统
        shell = variation.name
        os.system(variation.name)
        print(variation.transferred,shell)
    
    elif command == "pf":
        #查找Android 所有程序包名
        shell = variation.shell_packages
        os.system(variation.shell_packages)
        print(variation.transferred,shell)
        
    elif command == "-3":
        #查找第三方包名
        shell = variation.shell_packages_3
        os.system(variation.shell_packages_3)
        print(variation.transferred,shell)
        
    elif command == "ins":
        #安装apk
         shell = "adb install "+p
         os.system("adb install "+p)
         print(variation.transferred)

    elif command == "dum":
        #指定程序包名
         shell = "adb shell dumpsys window w | findstr name= "
         os.system(shell)
         print(variation.transferred,shell)
         
    elif command == "un":
        #卸载apk
         shell = "adb uninstall "+p
         os.system("adb uninstall "+p)
         print(variation.transferred,shell)
         
    elif command == "mk":


        
        #默认随机事件

            
        if v == "1":
            shell = "adb shell monkey -p %s -v %s"%(p,c)
            os.system(shell)
            print(shell)

        elif v == "2":
            shell = "adb shell monkey -p "+p+' -v -v '+c
            os.system("adb shell monkey -p "+p+' -v -v '+c)
            print(shell)
        elif v == "3":
            shell = "adb shell monkey -p "+p+' -v -v -v '+c
            os.system("adb shell monkey -p "+p+' -v -v -v '+c)
            print(shell)


        else:
            
            shell = "adb shell monkey -p "+p+' -v -v '+c
            os.system("adb shell monkey -p "+p+' -v -v '+c)
            print(shell)

    
    

    elif command == "dev":
        #查看设备名称
         shell = "adb devices"
         os.system("adb devices")
         print(variation.transferred,shell)

         
    else:
        print("没有这个命令："+command)

parser = argparse.ArgumentParser(description='Test for argparse')
parser.add_argument('command', help='command 属性，必要参数,命令有 d b i c')
parser.add_argument('-t', help='t 属性，非必要参数,指定每个事件的操作延迟时间')
parser.add_argument('-s', help='t 属性，非必要参数,指定每个事件的操作延迟时间')
parser.add_argument('-p', help='p 属性，指定一个包名')
parser.add_argument('-c', help='c 属性，指定随机事件总数')
parser.add_argument('-v', help='v 属性，设置日志输出等级，1为-v,3为 -v -v -v')
parser.add_argument('-S', help='S 属性，添加seed值')
parser.add_argument('-T', help='T 属性，添加throttle值 1000为1秒')
args = parser.parse_args()
if __name__ == '__main__':
    try:
        test_for_sys(args.command,args.t,args.s,args.p,args.c,
                     args.v,args.S,args.T)
    except Exception as e:
        print(e)
