import datetime
import unittest,os
from adtium.report.HTMLTestReportCN import HTMLTestRunner


def HTMLtest(paths,testers,titles,descriptions,testunit):
    """
    :param path:  文件目录
    :param tester: 测试人员
    :param title: 测试报告标题
    :param description: 测试描述
    :param testunit: 测试执行套件
    :return:
    """
    file_path  = paths
    runner = unittest.TextTestRunner()
    sr = datetime.datetime.now().strftime('%Y-%m-%d %H-%M-%S')
    file_open = open(file_path,'wb')
    runner = HTMLTestReportCN.HTMLTestRunner(stream=file_path,
                                title= titles,
                                tester= testers,
                                description= descriptions)
    runner.run(testunit)
    file_open.close()



from adtium.report import HTMLTestReportCN
import unittest,datetime,os

def html(title_test,testers,descriptions,unit,path):
    """
    :param title_test:  标题
    :param testers: 测试人员
    :param descriptions: 测试描述
    :param unit: 测试执行套件
    :param path: 报告路径
    :return:
    """
    ps = path
    runner = unittest.TextTestRunner()
    sr = datetime.datetime.now().strftime('%Y-%m-%d %H-%M-%S')
    fp = open(path,'wb')
    runner = HTMLTestReportCN.HTMLTestRunner(stream=fp,
                                title= title_test,
                                tester= testers,
                                description= descriptions)
    runner.run(unit)
    fp.close()
